Subject: Re: 2.6.24 BUG: soft lockup - CPU#X

From: Jarek Poplawski <[email-masked]>
Date: Fri, 28 Mar 2008 15:39:53 +0100

On Fri, Mar 28, 2008 at 09:53:38PM +0800, Herbert Xu wrote:
> On Fri, Mar 28, 2008 at 02:38:45PM +0100, Jarek Poplawski wrote:
> > 
> > Considering this, I wonder why using this __LINK_STATE_QDISC_RUNNING
> > flag to control enqueuing as well would be a wrong idea? Wouldn't this
> > enforce pseudo affinity?
> 
> Could you elaborate on how you intend to use it to control the
> act of enqueueing?

Probably some backlog would be necessary, similarly to RX. The main
question is how much cache problem is such enqueuing from other CPUs.

Jarek P.